From ec3e8ee04c4d28e092d2249625c056df257a8c4e Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Wed, 5 Jul 2017 15:07:56 -0500
Subject: [PATCH 18/25] _common_ Add libwebsockets build.

---
 recipes/libwebsockets.recipe | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 recipes/libwebsockets.recipe

diff --git a/recipes/libwebsockets.recipe b/recipes/libwebsockets.recipe
new file mode 100644
index 0000000..d21a627
--- /dev/null
+++ b/recipes/libwebsockets.recipe
@@ -0,0 +1,19 @@
+import shutil
+
+from cerbero.tools.libtool import LibtoolLibrary
+
+class Recipe(recipe.Recipe):
+    version = '2.2.1'
+    name = 'libwebsockets'
+    licenses = [License.LGPLv2_1]
+    stype = SourceType.TARBALL
+    btype = BuildType.CMAKE
+    url = 'https://github.com/warmcat/libwebsockets/archive/v%(version)s.tar.gz'
+
+    files_libs = ['libwebsockets']
+
+    def post_install(self):
+        deps = ['-lm']
+        libtool_la = LibtoolLibrary('websockets', 2, 1, None, self.config.libdir,
+                self.config.target_platform, deps)
+        libtool_la.save()
-- 
2.15.0

